   echo off
REM NECRun:
REM	This batch file:
NEC   	-- cleans up a draft NEC input file in .txt using NECCleanInput
NEC     -- switches to the GNEC directory to run DMA version of NEC4.
REM
REM Call:
REM	NECRun filename
REM
REM Parameters:
REM	filename: [mandatory] name of NEC4 .txt input file.
REM
REM Requires:
REM	DNEC4DMA located in D:\Program Files\GNEC\BIN.
REM     Input file to be located in E:\Eric Scace\Radio\articles\ground screen\NECwork.
REM     NECInputClean to be located in current directory.
REM
REM Inputs:
REM	filename.txt - NEC4 draft input file.
REM
REM Outputs:
REM     filename.nec - NEC4 input file.
REM	filename.nou - NEC4 output file.
REM     filename.ps - plotted output.
REM ===============================================================

REM Clear screen, set title of the window.
   cls
   title NECRun

REM save old path; set new path
   setlocal
   set GAWKHOME=D:\Program Files\GMT\bin
   set NECHOME=D:\Program Files\GNEC\BIN
   set path=%PATH%;%GAWKHOME%;%NECHOME%

REM Strip out blank lines.
   echo Cleaning up the NEC input file...
   call NECInputClean %1
   if not errorlevel 0 goto end

REM Now run NEC-4.
   echo Starting NEC...
   REM Must execute NEC4 in its own directory.
   pushd %NECHOME%
   DNEC4DMA E:\ERICSC~1\RADIO\GMT\%1.nec -console
   popd
   if not errorlevel 0 goto end

REM Sort the NEC-4 output file.
   echo Sorting NEC-4 output...
   call nouplot %1

REM restore old path
:end
   endlocal
   title Command Prompt
